Redmine - Defect #2638

LDAP authentication should allow username to contain space(s)
2009-02-01 00:19 - Bob Roberts

Status: New Start date: 2009-02-01
Priority: Normal Due date:

Assignee: % Done: 0%
Category: LDAP Estimated time: 0.00 hour
Target version: Candidate for next minor release

Resolution: Affected version:

Description

It is not uncommon for Windows AD servers to allow spaces in the user name (sAMAccountName) but currently redmine does not
allow the user name to contain 1 or more spaces which means that when using LDAP to authenticate, it is not possible to use
sAMAccountName to lookup users.

If there is not a technical reason for this limitation, would suggest the the regex scan for the user name allow spaces in the middle of
user names, but not at the start or end.

See patch #811 supporting this change.

Related issues:
Related to Redmine - Patch #811: Username validation - allow spaces... New 2008-03-08

History

#1 - 2010-08-17 15:10 - sebastian ovide

any plans for it ?

#2 - 2011-09-13 14:31 - Etienne Massip

- Category changed from Accounts / authentication to LDAP

#3 - 2011-09-13 14:32 - Etienne Massip

- Target version set to Candidate for next minor release

#4 - 2012-06-25 10:28 - Antoine Rodriguez

It's more an Issue. AD usernames with space cannot authenticate with Active Directory.
Confirmed on Redmine 2.0.1

Best regards,

#5 - 2013-03-07 14:47 - Piotr Karasinski

+1

2025-05-01 1/1



https://www.redmine.org/issues/811
http://www.tcpdf.org

